Bullet Collision Detection & Physics Library: GIM_BOX_TREE_SET< _GIM_PRIMITIVE_MANAGER_PROTOTYPE > Class Template Reference

Bullet Collision Detection & Physics Library

List of all members
GIM_BOX_TREE_SET< _GIM_PRIMITIVE_MANAGER_PROTOTYPE > Class Template Reference

Class for Box Tree Sets. More...

`#include <gim_box_set.h>`

Inheritance diagram for GIM_BOX_TREE_SET< _GIM_PRIMITIVE_MANAGER_PROTOTYPE >:
[legend]
Collaboration diagram for GIM_BOX_TREE_SET< _GIM_PRIMITIVE_MANAGER_PROTOTYPE >:
[legend]

## Additional Inherited Members
Public Member Functions inherited from GIM_BOX_TREE_TEMPLATE_SET< _GIM_PRIMITIVE_MANAGER_PROTOTYPE, GIM_BOX_TREE >
| GIM_BOX_TREE_TEMPLATE_SET ()
GIM_AABB | getGlobalBox () const
void | setPrimitiveManager (const _GIM_PRIMITIVE_MANAGER_PROTOTYPE &primitive_manager)
const _GIM_PRIMITIVE_MANAGER_PROTOTYPE & | getPrimitiveManager () const
void | update ()
| this attemps to refit the box set.
void | buildSet ()
| this rebuild the entire set
bool | boxQuery (const GIM_AABB &box, gim_array< GUINT > &collided_results) const
| returns the indices of the primitives in the m_primitive_manager
bool | boxQueryTrans (const GIM_AABB &box, const btTransform &transform, gim_array< GUINT > &collided_results) const
| returns the indices of the primitives in the m_primitive_manager
bool | rayQuery (const btVector3 &ray_dir, const btVector3 &ray_origin, gim_array< GUINT > &collided_results) const
| returns the indices of the primitives in the m_primitive_manager
bool | hasHierarchy () const
| tells if this set has hierarcht
bool | isTrimesh () const
| tells if this set is a trimesh
GUINT | getNodeCount () const
| node count
bool | isLeafNode (GUINT nodeindex) const
| tells if the node is a leaf
GUINT | getNodeData (GUINT nodeindex) const
void | getNodeBound (GUINT nodeindex, GIM_AABB &bound) const
void | setNodeBound (GUINT nodeindex, const GIM_AABB &bound)
GUINT | getLeftNodeIndex (GUINT nodeindex) const
GUINT | getRightNodeIndex (GUINT nodeindex) const
GUINT | getScapeNodeIndex (GUINT nodeindex) const
void | getNodeTriangle (GUINT nodeindex, GIM_TRIANGLE &triangle) const
Protected Member Functions inherited from GIM_BOX_TREE_TEMPLATE_SET< _GIM_PRIMITIVE_MANAGER_PROTOTYPE, GIM_BOX_TREE >
void | refit ()
Protected Attributes inherited from GIM_BOX_TREE_TEMPLATE_SET< _GIM_PRIMITIVE_MANAGER_PROTOTYPE, GIM_BOX_TREE >
_GIM_PRIMITIVE_MANAGER_PROTOTYPE | m_primitive_manager
GIM_BOX_TREE | m_box_tree

## Detailed Description

template<typename _GIM_PRIMITIVE_MANAGER_PROTOTYPE>
class GIM_BOX_TREE_SET< _GIM_PRIMITIVE_MANAGER_PROTOTYPE >

Class for Box Tree Sets.

this has the GIM_BOX_TREE implementation for bounding boxes.

Definition at line 426 of file gim_box_set.h.

The documentation for this class was generated from the following file:

- gim_box_set.h